Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: "Dr. Werner Fink" <[email-masked]>
Date: Wed, 21 Dec 2016 18:39:51 +0100

On Wed, Dec 21, 2016 at 07:24:03PM +0200, Eli Zaretskii wrote:
> > Date: Wed, 21 Dec 2016 09:47:46 +0100
> > From: "Dr. Werner Fink" <[email-masked]>
> > Cc: martin rudalics <[email-masked]>, [email-masked]
> > 
> > There seems to be also an other place where rounding does not fit. With system
> > font set, that is no custom font at all the height of the same font are different,
> > that is 
> > 
> >   (font-face-attributes (font-get-system-font))
> > 
> > results in
> > 
> >   (:family "Monospace" :height 110)
> > 
> > whereas 
> > 
> >   (font-face-attributes (face-attribute 'default :font))
> > 
> > shows
> > 
> >   (:family "Source Code Pro" :height 113 :weight normal :slant normal :width normal)
> > 
> > which is the same font (even over different channels) but different height. I've
> > verified this by using
> > 
> >   (custom-set-faces '(default ((t (:family "Source Code Pro" :height 110 :weight normal :slant normal :width normal)))))
> >   (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))
> 
> I see nothing particularly surprising here: "Monospace" is a family,
> of which Emacs selected one specific monospaced font.  Why do you see
> this as a problem?

I'm aware nevertheless ... why should an already loaded font be reloaded
with exactly the same attributes because it is not possible to detect that
equality  ... beside the rounding problems it is superfluous

-- 
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr